{% load static i18n cascade_tags djng_tags sekizai_tags sass_tags %}
<!DOCTYPE html>
<html lang="{{ LANGUAGE_CODE }}" ng-app="myShop">
<head>
	<title>Test page</title>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="robots" content="{{ ROBOTS_META_TAGS }}" />
	<meta name="description" content="{% block meta-description %}{% endblock %}" />
	{% block head %}{% endblock head %}
	{% render_block "css" %}
</head>

{% addtoblock "css" %}<link href="{% sass_src 'commodity/css/default.scss' %}" rel="stylesheet" type="text/css" />{% endaddtoblock %}

{% addtoblock "js" %}<script src="{% static 'node_modules/angular/angular.min.js' %}" type="text/javascript"></script>{% endaddtoblock %}
{% addtoblock "js" %}<script src="{% static 'node_modules/angular-sanitize/angular-sanitize.min.js' %}"></script>{% endaddtoblock %}
{% addtoblock "js" %}<script src="{% static 'node_modules/angular-i18n/' %}{% djng_locale_script 'de' %}"></script>{% endaddtoblock %}
{% addtoblock "js" %}<script src="{% static 'node_modules/angular-animate/angular-animate.min.js' %}"></script>{% endaddtoblock %}

<body>
	<header>
	{% include "commodity/pages/navbar.html" with navbar_classes="navbar-default navbar-fixed-top" %}
	</header>

	<main>
		{% render_cascade "commodity/strides/home.json" %}
	</main>

	<footer class="footer">
	{% block footer %}{% endblock footer %}
	</footer>

	{% render_block "js" %}
	<script type="text/javascript">
	angular.module('myShop', ['ngAnimate', 'ngSanitize', {% with_data "ng-requires" as ng_requires %}
		{% for module in ng_requires %}'{{ module }}'{% if not forloop.last %}, {% endif %}{% endfor %}{% end_with_data %}
	]).config(['$httpProvider', '$locationProvider', function($httpProvider, $locationProvider) {
		$httpProvider.defaults.headers.common['X-CSRFToken'] = '{{ csrf_token }}';
		$httpProvider.defaults.headers.common['X-Requested-With'] = 'XMLHttpRequest';
		$locationProvider.html5Mode({
			enabled: true,
			requireBase: false,
			rewriteLinks: false
		});
	}]){% with_data "ng-config" as configs %}
		{% for config in configs %}.config({{ config }}){% endfor %};
	{% end_with_data %}
	</script>
</body>

</html>

